#!/bin/sh

IPTABLES="iptables -v"

# Firewall On:

on ()
{
$IPTABLES -F
$IPTABLES -F INPUT
$IPTABLES -F OUTPUT
$IPTABLES -F FORWARD
$IPTABLES -X

$IPTABLES -P INPUT DROP
$IPTABLES -P OUTPUT DROP 
$IPTABLES -P FORWARD DROP 

$IPTABLES -A INPUT -i lo -j ACCEPT

$IPTABLES -A INPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
$IPTABLES -A OUTPUT -m state --state RELATED,ESTABLISHED,NEW -j ACCEPT
}

# Firewall Off:

off ()
{
$IPTABLES -F
$IPTABLES -F INPUT
$IPTABLES -F OUTPUT
$IPTABLES -F FORWARD
$IPTABLES -X

$IPTABLES -P INPUT ACCEPT
$IPTABLES -P OUTPUT ACCEPT
$IPTABLES -P FORWARD ACCEPT 
}

# Code ..

Usage () 
{
  if [ "$1" == "" ]; then
    echo "Usage: $0 [start|stop]"
    exit 1
  fi
}

case "$1" in
  start)
    on
  ;;
  stop)
    off
  ;;
  *)
    Usage
  ;;
esac

