#!/bin/sh

CFLAGS="-ggdb -Wall -Werror -O2"

# case of: kill
if [ "$1" == "kill" ];
then
  kill -9 `pidof outpost`
fi

# make package
if [ "$1" == "pack" ];
then
  sh $0 clean
  cd ..
  tar --exclude ".*.swp" -zcf ~/outpost-`date +%Y%m%d-%H%M`.tgz outpost/ 
  cd outpost
  exit 0
fi

# clear all
if [ ! "$1" == "noclean" ]; 
then
  rm -fr obj/*.o ./*.so core outpost 2>/dev/null
fi

if [ "$1" == "clean" ]; then exit 0; fi

if [ ! -d ./obj ]; then mkdir ./obj ; fi
if [ ! -d ./mobj ]; then mkdir ./mobj ; fi

# modules
gcc $CFLAGS -c -o ./mobj/module_sniff.o module_sniff.c
ld -shared -o module_sniff.so ./mobj/module_sniff.o

gcc $CFLAGS -c -o ./mobj/module_example.o module_example.c
ld -shared -o module_example.so ./mobj/module_example.o

gcc $CFLAGS -c -o ./mobj/module_simple.o module_simple.c
ld -shared -o module_simple.so ./mobj/module_simple.o

# code source
gcc $CFLAGS -c -o ./obj/config.o config.c
gcc $CFLAGS -c -o ./obj/firewall.o firewall.c
gcc $CFLAGS -c -o ./obj/common.o common.c
gcc $CFLAGS -c -o ./obj/modules.o modules.c
gcc $CFLAGS -O2 -c -o ./obj/outpost.o outpost.c
gcc $CFLAGS -o outpost obj/*.o -lpcap -ldl -rdynamic

if [ -e ./outpost ];
then
  strip ./outpost
  ls -l module_*.so
  ls -l outpost
  ./outpost -V
  echo -n "you've done good job myc: "
  cat *.txt *.sh *.c *.h | wc -l | sed -e "s/ //g" | sed -e "s/$/ lines !!/g"
else
  echo "error."
fi
